GNU bug report logs - #33969
[PATCH] gnu: postgresql: Build with openssl support.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: patch pending; dated Thu, 3 Jan 2019 22:07:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) pending. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33969 <at> debbugs.gnu.org:


Received: (at 33969) by debbugs.gnu.org; 13 Jan 2019 21:55:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 16:55:55 2019
Received: from localhost ([127.0.0.1]:58128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ginjX-0008W4-0l
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2019 16:55:55 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:46384
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ginjU-0008Vu-D6
 for 33969 <at> debbugs.gnu.org; Sun, 13 Jan 2019 16:55:53 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 2B52B16A50;
 Sun, 13 Jan 2019 21:55:51 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 007adb8c;
 Sun, 13 Jan 2019 21:55:50 +0000 (UTC)
References: <20190103220538.25708-1-mail@HIDDEN>
 <20190105120412.2a794630@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#33969] [PATCH] gnu: postgresql: Build with openssl support.
In-reply-to: <20190105120412.2a794630@HIDDEN>
Date: Sun, 13 Jan 2019 21:55:48 +0000
Message-ID: <874lacjk7v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33969
Cc: 33969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Danny Milosavljevic <dannym@HIDDEN> writes:

> LGTM!

Great, I've pushed this to staging now.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlw7s+RfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xe7zxAAkVuDM72INdI/4bcsfkw+mMjUIRLjAUTci5/Q/Jorsru2Bu8VXYVyUzXS
vCeWJi/0+YFlIFIdgtwqfHVT72Cgws3MQC0XnKTW1Gj7DG70/4kS9ApC1xRF3l16
f4rELT6uzxV/jIJafeHSfxaEHlKy5FGIx2rkt7qULNFKQMxeFFVld19br5Pre80U
7nF7nDZ5F7CeYpMDjZMQmPVp0lE6bZBbIl6sPUwu6vNhBocrRcxJ5S1A05uK4p48
lKKvJ7je44yyOZX9SV1cZBJ/JFHAJcVVqxWd+Vb7hFyK9a7igXRJK1DTHPhoQAMA
lnoywWxio8ppaSPEB+8Kr/NZUdZs+uyTn7m08Crij1ynPZUT3FeEktELNhBHkLEP
PzBDb1uhuFK907U17Wfli59opYUI4noJnS2dlaXMykwHWaydrwY+1PRuR7mys9k6
21hnuq9t4z2mmBU2TWq3beYw75gB6XsSJcim0g/cYkgJKbPTfRCCFYEmnPXcXn4V
U94mFbJ0HmEJ0coK4/f2J4I/tkL+3QOFCQ4JG6dprsbTfSAszaZfHyOtTecud4AI
4cRP8WD3lvX/A3mD3rtMFnWnzhBPFdCKW8jeQdsS4guxzE7zItXiiekNuzZxNG8Y
7PFclHNeKNeiuuwy0cqicrGHPDe0939hG3AahpTjkmnPAovzP+Y=
=PX4C
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33969; Package guix-patches. Full text available.

Message received at 33969 <at> debbugs.gnu.org:


Received: (at 33969) by debbugs.gnu.org; 5 Jan 2019 11:04:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 05 06:04:21 2019
Received: from localhost ([127.0.0.1]:47273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfjkb-0006Vm-BB
	for submit <at> debbugs.gnu.org; Sat, 05 Jan 2019 06:04:21 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:51062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gfjkZ-0006Ve-Nq
 for 33969 <at> debbugs.gnu.org; Sat, 05 Jan 2019 06:04:20 -0500
Received: from localhost (77.116.218.29.wireless.dyn.drei.com [77.116.218.29])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 0A020336031B;
 Sat,  5 Jan 2019 12:04:17 +0100 (CET)
Date: Sat, 5 Jan 2019 12:04:12 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#33969] [PATCH] gnu: postgresql: Build with openssl support.
Message-ID: <20190105120412.2a794630@HIDDEN>
In-Reply-To: <20190103220538.25708-1-mail@HIDDEN>
References: <20190103220538.25708-1-mail@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  LGTM! 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
 low trust [85.13.145.193 listed in list.dnswl.org]
 2.5 BODY_SINGLE_WORD       Message body is only one word (no spaces)
X-Debbugs-Envelope-To: 33969
Cc: 33969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

LGTM!




Information forwarded to guix-patches@HIDDEN:
bug#33969; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jan 2019 22:06:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 17:06:03 2019
Received: from localhost ([127.0.0.1]:46044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfB7r-0001ne-Fx
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 17:06:03 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gfB7p-0001nK-OD
 for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 17:06:02 -0500
Received: from lists.gnu.org ([208.118.235.17]:35136)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1gfB7p-000261-Dx
 for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 17:06:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39949)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gfB7o-0008SV-AP
 for guix-patches@HIDDEN; Thu, 03 Jan 2019 17:06:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,UNPARSEABLE_RELAY
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gfB7l-00022j-3k
 for guix-patches@HIDDEN; Thu, 03 Jan 2019 17:06:00 -0500
Received: from mira.cbaines.net ([2a01:7e00::f03c:91ff:fe69:8da9]:44542)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gfB7k-0001v4-U8
 for guix-patches@HIDDEN; Thu, 03 Jan 2019 17:05:57 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id C31DB169FD
 for <guix-patches@HIDDEN>; Thu,  3 Jan 2019 22:05:38 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 5769e726
 for <guix-patches@HIDDEN>; Thu, 3 Jan 2019 22:05:38 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: postgresql: Build with openssl support.
Date: Thu,  3 Jan 2019 22:05:38 +0000
Message-Id: <20190103220538.25708-1-mail@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:7e00::f03c:91ff:fe69:8da9
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

* gnu/packages/databases.scm (postgresql)[arguments]: Add --with-openssl =
to
[inputs]: Add openssl.
---
 gnu/packages/databases.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 07c6006c3b..4febd0d915 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -814,7 +814,7 @@ as a drop-in replacement of MySQL.")
                 "0jv26y3f10svrjxzsgqxg956c86b664azyk2wppzpa5x11pjga38"))=
))
     (build-system gnu-build-system)
     (arguments
-     `(#:configure-flags '("--with-uuid=3De2fs")
+     `(#:configure-flags '("--with-uuid=3De2fs" "--with-openssl")
        #:phases
        (modify-phases %standard-phases
          (add-before 'configure 'patch-/bin/sh
@@ -833,6 +833,7 @@ as a drop-in replacement of MySQL.")
     (inputs
      `(("readline" ,readline)
        ("libuuid" ,util-linux)
+       ("openssl" ,openssl)
        ("zlib" ,zlib)))
     (home-page "https://www.postgresql.org/")
     (synopsis "Powerful object-relational database system")
--=20
2.20.1





Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33969; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 21 Jan 2019 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.